﻿#region Copyright Syncfusion Inc. 2001 - 2017
// Copyright Syncfusion Inc. 2001 - 2017. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Script.Serialization;

namespace DropdownMVC.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }
        public JsonResult getData()
        {
            List<Employee> Data = new List<Employee>();
            Data.Add(new Employee
            {
                Name = "Erik Linden",
                Role = "Executive"
            });
            Data.Add(new Employee
            {
                Name = "John Linden",
                Role = "Representative"
            });
            Data.Add(new Employee
            {
                Name = "Louis",
                Role = "Representative"
            });
            Data.Add(new Employee
            {
                Name = "Lawrence",
                Role = "Executive"
            });
            var jsonSerializer = new JavaScriptSerializer();
            return Json(jsonSerializer.Serialize(Data));
        }
        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
    public class Employee
    {
        public string Name { get; set; }
        public string Role { get; set; }
    }
}